Vai al contenuto

Hotel

Read a booking (voucher).

get/v1/hotels/bookings/{bookingId}

  • Richiede autenticazione

Parametri

NomePosizioneTipoDescrizione
bookingId*percorsostring

Risposte

200OKHotelBooking

  • bookingIdstring
  • bookingReferencestringpuò essere null
  • statusstring

    confirmed | pending | cancelled | unknown.

  • hotelCodestringpuò essere null
  • hotelNamestringpuò essere null
  • cityNamestringpuò essere null
  • roomTypestringpuò essere null
  • checkInstringpuò essere null
  • checkOutstringpuò essere null
  • Money

    Money on the wire: decimal string (never a float) + ISO 4217.

    • amountstring
    • currencystring
  • refundablebooleanpuò essere null
  • priceChangedboolean
  • HolderInfo
    • firstNamestring
    • lastNamestring
    • emailstring
    • phonestring
  • BookingRoom[]
    • Guest[]
  • specialRequestsstringpuò essere null
  • confirmedAtstring (date-time)può essere null
  • 404Not FoundDettagli del problema RFC 7807

Esempi di codice

Programmi completi che firmano la richiesta nel modo in cui il gateway la verifica. Sostituisci YOUR_KEY_ID e YOUR_SECRET.

# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'GET\n/v1/hotels/bookings/b216bGJ5bG1BMURGMVFadERnPT0\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')

curl -X GET "https://api.dubaitrip.com/v1/hotels/bookings/b216bGJ5bG1BMURGMVFadERnPT0" \
  -H "X-API-Key: $KEY_ID" \
  -H "X-Timestamp: $TS" \
  -H "X-Nonce: $NONCE" \
  -H "X-Signature: $SIG" \
  -H "Accept: application/json"